Skip to content
payrocdevelopers

Retrieve payment intent

Browse API reference

GET/payment-intents/{paymentIntentId}getPaymentIntent

Use this method to retrieve a payment intent, including who is paying for the terminal order and how they are paying for the terminal order.

Include the paymentIntentId that we sent you when you created the terminal order.

Parameters

NameInTypeDescription
paymentIntentIdRequiredpathstring

Unique identifier that we assigned to the payment intent.

Responses

Successful request. Returns the payment intent.

200 OK · application/json
{
  "costBreakdown": {
    "customCharges": [
      {
        "name": "FleeceCharge",
        "value": 500
      }
    ],
    "items": [
      {
        "name": "TariffCosts",
        "quantity": 1,
        "unitCost": 999
      }
    ],
    "shippingCost": 100
  },
  "payment": {
    "frequency": {
      "type": "singlePayment"
    },
    "method": "hostedPaymentPage",
    "payer": "merchant",
    "status": "pendingPayment"
  },
  "paymentIntentId": "15387",
  "paymentIntentType": "purchase",
  "subTotal": 100,
  "tax": {
    "isTaxExempt": false,
    "taxAmount": 100
  }
}
Response schema · 14 of 28 fields
  • option 1object
    • costBreakdownobject
      Object that contains information about the items in the terminal order and the cost of the items.
      • customChargesobject[]
        List of additional charges for the order.1–10 items+2 more fields at deeper levels — see the full spec
      • itemsobject[]required
        Array of items objects.1–10 items+3 more fields at deeper levels — see the full spec
      • shippingCostinteger
        Cost of shipping the terminal order. The value is in the currency’s lowest denomination, for example, cents.0–999999
    • paymentobjectrequired
      Object that contains information about how the payer is paying for the terminal order.
      • option 1object
        +6 more fields at deeper levels — see the full spec
      • option 2object
        +3 more fields at deeper levels — see the full spec
    • paymentIntentIdstringrequired
      Unique identifier we assigned to the payment intent.
    • paymentIntentTypestringrequired
      Type of payment intent.≤ 8 charspurchase
    • subTotalinteger
      Total amount of the terminal order before tax. The value is in the currency’s lowest denomination, for example, cents. Note: You must send a value for this parameter if the payer is merchant.0–999999
    • taxobject
      Object that contains the tax information for the terminal order.
      • isTaxExemptboolean
        Indicates if the terminal order is tax exempt. The default value is false. Note: If you send a value of false, send a value for the taxAmount parameter.
      • taxAmountinteger
        Amount of tax for the terminal order. The value is in the currency’s lowest denomination, for example, cents.0–999999

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer